# Class CommandPhase

#### Hierarchy (view full)

- FieldPhase
  - CommandPhase

- Defined in src/phases.ts:1826

#####
Index

### Constructors

constructor

### Properties

fieldIndex
scene

### Methods

cancel
checkFightOverride
end
executeForAll
getFieldIndex
getOrder
getPokemon
handleCommand
hideEnemyTrainer
showEnemyTrainer
start

## Constructors

### constructor

- new CommandPhase(scene, fieldIndex): CommandPhase

- #### Parameters

  - scene: default
  - fieldIndex: number

  #### Returns CommandPhase

  Overrides FieldPhase.constructor

  - Defined in src/phases.ts:1829

## Properties

### `Protected` fieldIndex

fieldIndex: number

- Defined in src/phases.ts:1827

### `Protected` scene

scene: default

Inherited from FieldPhase.scene

- Defined in src/phase.ts:4

## Methods

### cancel

- cancel(): void

- #### Returns void

  - Defined in src/phases.ts:2038

### checkFightOverride

- checkFightOverride(): boolean

- #### Returns boolean

  - Defined in src/phases.ts:2046

### end

- end(): void

- #### Returns void

  Overrides FieldPhase.end

  - Defined in src/phases.ts:2074

### executeForAll

- executeForAll(func): void

- #### Parameters

  - func: PokemonFunc

  #### Returns void

  Inherited from FieldPhase.executeForAll

  - Defined in src/phases.ts:681

### getFieldIndex

- getFieldIndex(): number

- #### Returns number

  - Defined in src/phases.ts:2066

### getOrder

- getOrder(): BattlerIndex []

- #### Returns BattlerIndex []

  Inherited from FieldPhase.getOrder

  - Defined in src/phases.ts:659

### getPokemon

- getPokemon(): PlayerPokemon

- #### Returns PlayerPokemon

  - Defined in src/phases.ts:2070

### handleCommand

- handleCommand(command, cursor, ...args): boolean

- #### Parameters

  - command: Command
  - cursor: number
  - `Rest` ...args: any[]

  #### Returns boolean

  - Defined in src/phases.ts:1882

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from FieldPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from FieldPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Overrides FieldPhase.start

  - Defined in src/phases.ts:1835